Store APIsUsage
List usage events
Returns a list of usage events for a subscription, most recent first. Can be filtered by meter_id and by an event_at range. Requires the USAGE_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48Query Parameters
subscription_id*string
Length
12 <= length <= 48meter_id?string
Length
12 <= length <= 48from?string
Format
date-timeto?string
Format
date-timepage?integer
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
25Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/usage/?subscription_id=stringstring"{ "ok": true, "data": { "items": [ { "id": "uev_7g3s5rpyx2w8v4m1j0l9ubae", "externalId": "req-abc-123", "subscriptionId": "sub_8h4t6sqzy3x9w5n2k1m0vqbf", "meterId": "umt_5e1q3npwt0u6s2k8h9j7rzbc", "customerId": "cus_3c0p1lmuq9t4r5j6g8h2vyab", "quantity": 1500, "eventAt": "2026-05-20T14:23:00.000Z", "receivedAt": "2026-05-20T14:23:01.123Z", "metadata": { "endpoint": "/v1/chat", "model": "claude-opus-4-7" } } ], "pagination": { "page": 1, "limit": 25, "total": 1, "totalPages": 1 } }}